# FAQ

- [Why don't you support x?](./faq.md#why-dont-you-support-x)
- [What about Angular 2, Ionic 2, ES6, Babel and Typescript](./faq.md#what-about-angular-2-ionic-2-es6-babel-and-typescript)
- [Why not use the Ionic CLI, the plain Cordova CLI or a different generator like generator-ionic?](./faq.md#why-not-use-the-ionic-cli-the-plain-cordova-cli-or-a-different-generator-like-generator-ionic)


## Why don't you support x?
We're living in times of rapid developments and technology life-cycles. We've come to realize that in times like this if you want to be productive and perform professionally, it's important to focus on the basics, get these right and not get lost in the latest fancy tech.

However we also do realize that individual developers and individual projects have individual requirements. So instead of trying to integrate everything ourselves, we highly encourage you to provide [Guides](../../README.md#guides) on how to integrate your desired technology to share with other developers.

That way we stay open to new technologies and ideas without sacrificing stability and valuable time by maintaining a gazillion of features. Read more in our [Mission Statement](./mission_statement.md).


## What about Angular 2, Ionic 2, ES6, Babel and Typescript
Since December 15, 2015 Angular 2 is [officially in beta](http://angularjs.blogspot.de/2015/12/angular-2-beta.html) unlike Ionic 2 which as of this date is still in alpha according to the [Github repository](https://github.com/driftyco/ionic2).

Our current technology stack is still in movement. Ionic released [version 1.2](http://blog.ionic.io/announcing-ionic-1-2/) on December 10, 2015 and Angular 1.5 is [about to be released soon](http://angularjs.blogspot.de/2015/11/angularjs-15-beta2-and-14-releases.html?view=flipcard) and there's still [many things we want to improve](https://github.com/mwaylabs/generator-m-ionic/issues).

So the coming months will be full of maintaining the current stack and getting accustomed with all the new technologies so we can figure out how we want to build apps in the future. Till then we're not making any hasty changes and rather focus on **keeping our current technology stack stable** and figuring out how we're going to make our transition. Only then we'll make **a single informed and precise switch in technologies**.

So stay tuned and join the discussion on [Gitter](https://gitter.im/mwaylabs/generator-m-ionic) or [this issue](https://github.com/mwaylabs/generator-m-ionic/issues/294).


## Why not use the Ionic CLI, the plain Cordova CLI or a different generator like generator-ionic?
There's no trivial answer here, but to wrap it up, they didn't suit our purpose. You can learn more about the why and how of Generator-M-Ionic in our introduction section: [why you need it](../intro/why_you_need_it.md#alternatives).
